org.apache.lucene.search.spans

## Class SpanFirstQuery

- java.lang.Object
- - org.apache.lucene.search.Query
  - - org.apache.lucene.search.spans.SpanQuery
    - - org.apache.lucene.search.spans.SpanFirstQuery

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable

      public class SpanFirstQuery
      extends SpanQuery
      implements java.lang.Cloneable

  Matches spans near the beginning of a field.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SpanFirstQuery(SpanQuery match, int end)` Construct a SpanFirstQuery matching spans in `match` whose end position is less than or equal to `end`.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `clone()` Returns a clone of this query.
    `boolean` | `equals(java.lang.Object o)`
    `void` | `extractTerms(java.util.Set terms)` Expert: adds all terms occurring in this query to the terms set.
    `int` | `getEnd()` Return the maximum end position permitted in a match.
    `java.lang.String` | `getField()` Returns the name of the field matched by this query.
    `SpanQuery` | `getMatch()` Return the SpanQuery whose matches are filtered.
    `Spans` | `getSpans(IndexReader reader)` Expert: Returns the matches for this query in an index.
    `java.util.Collection` | `getTerms()` Deprecated. use extractTerms instead
    `int` | `hashCode()`
    `Query` | `rewrite(IndexReader reader)` Expert: called to re-write queries into primitive queries.
    `java.lang.String` | `toString(java.lang.String field)` Prints a query to a string, with `field` assumed to be the default field and omitted.

    - ### Methods inherited from class org.apache.lucene.search.spans.SpanQuery

      `createWeight`

    - ### Methods inherited from class org.apache.lucene.search.Query

      `combine, getBoost, getSimilarity, mergeBooleanQueries, setBoost, toString, weight`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SpanFirstQuery

          public SpanFirstQuery(SpanQuery match,
                                int end)

      Construct a SpanFirstQuery matching spans in `match` whose end position is less than or equal to `end`.

  - ### Method Detail

    - #### getMatch

          public SpanQuery getMatch()

      Return the SpanQuery whose matches are filtered.

    - #### getEnd

          public int getEnd()

      Return the maximum end position permitted in a match.

    - #### getField

          public java.lang.String getField()

      Description copied from class: `SpanQuery`
      Returns the name of the field matched by this query.
      Specified by:
        `getField` in class `SpanQuery`

    - #### getTerms

          public java.util.Collection getTerms()

      Deprecated. use extractTerms instead
      Returns a collection of all terms matched by this query.
      Specified by:
        `getTerms` in class `SpanQuery`
      See Also:
        `extractTerms(Set)`

    - #### toString

          public java.lang.String toString(java.lang.String field)

      Description copied from class: `Query`
      Prints a query to a string, with `field` assumed to be the default field and omitted.

      The representation used is one that is supposed to be readable by `QueryParser`. However, there are the following limitations:

      - If the query was created by the parser, the printed representation may not be exactly what was parsed. For example, characters that need to be escaped will be represented without the required backslash.
      - Some of the more complicated queries (e.g. span queries) don't have a representation that can be parsed by QueryParser.
      Specified by:
        `toString` in class `Query`

    - #### clone

          public java.lang.Object clone()

      Description copied from class: `Query`
      Returns a clone of this query.
      Overrides:
        `clone` in class `Query`

    - #### extractTerms

          public void extractTerms(java.util.Set terms)

      Description copied from class: `Query`
      Expert: adds all terms occurring in this query to the terms set. Only works if this query is in its `rewritten` form.
      Overrides:
        `extractTerms` in class `Query`

    - #### getSpans

          public Spans getSpans(IndexReader reader)
                         throws java.io.IOException

      Description copied from class: `SpanQuery`
      Expert: Returns the matches for this query in an index. Used internally to search for spans.
      Specified by:
        `getSpans` in class `SpanQuery`
      Throws:
        `java.io.IOException`

    - #### rewrite

          public Query rewrite(IndexReader reader)
                        throws java.io.IOException

      Description copied from class: `Query`
      Expert: called to re-write queries into primitive queries. For example, a PrefixQuery will be rewritten into a BooleanQuery that consists of TermQuerys.
      Overrides:
        `rewrite` in class `Query`
      Throws:
        `java.io.IOException`

    - #### equals

          public boolean equals(java.lang.Object o)

      Overrides:
        `equals` in class `Query`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Query`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.